<?php

/**
 * @author Dominique Fournier <dominique@fournier38.fr>
 * @license BSD
 */

declare(strict_types=1);

namespace App\Service;

class CatchError
{
    public function __construct()
    {
        set_error_handler([$this, "errorHandler"]);
    }

    public function errorHandler(int $errno, string $errstr, string $errfile, int $errline): bool
    {
        if (!(error_reporting() & $errno)) {
            //// This error code is not included in error_reporting
            //// Catch the @ before function
            return false;
        }
        die("ERROR : $errstr, $errfile, $errline" . PHP_EOL);
    }
}
