<?php

/**
 * @author Dominique Fournier <dominique@fournier38.fr>
 * @license BSD
 */

declare(strict_types=1);

namespace App\Service;

class DisplayHistory extends Display implements DisplayInterface
{
    public function run(History $history): void
    {
        $this->clearScreen();

        foreach ($this->resolved as $name => $ips) {
            foreach ($ips as $ip) {
                foreach ($history->getAllTransitions($ip) ?: [] as $key => $last) {
                    $nameDisplayed = ($key === 0) ? $name : null;
                    $ipDisplayed = ($key === 0) ? $ip : null;
                    $this->displayLine($nameDisplayed, $ipDisplayed, $last);
                }
            }
        }
    }
}
