<?php

/**
 * @author Dominique Fournier <dominique@fournier38.fr>
 * @license BSD
 */

declare(strict_types=1);

namespace App\Service;

class DisplayRealTime extends Display implements DisplayInterface
{
    public function run(History $history): void
    {
        $this->clearScreen();

        foreach ($this->resolved as $name => $ips) {
            foreach ($ips as $ip) {
                $last = $history->getLast($ip);
                $this->displayLine($name, $ip, $last);
            }
        }
    }
}
