<?php

/**
 * @author Dominique Fournier <dominique@fournier38.fr>
 * @license BSD
 */

declare(strict_types=1);

namespace App\Service;

/**
 * Set the timezone based on system state
 */
class LocalTimezone
{
    public function __construct()
    {
        // FIXME: more generic one ?
        $timezone = readlink("/etc/localtime") ?: "";
        if (strpos($timezone, "/usr/share/zoneinfo/") === 0) {
            $timezone = substr($timezone, strlen("/usr/share/zoneinfo/"));
        }
        date_default_timezone_set($timezone);
    }
}
