<?php

/**
 * @author Dominique Fournier <dominique@fournier38.fr>
 * @license BSD
 */

declare(strict_types=1);

namespace App\Service;

interface PingStateInterface
{
    /**
     * @param array<string, mixed> $matches
     */
    public function __construct($matches);

    public function getIP(): string;

    public function getStartTime(): int;
    public function getEndTime(): int;

    public function setStartTime(int $val): self;
    public function setEndTime(int $val): self;

    public function __toString(): string;
}
