<?php

/**
 * @author Dominique Fournier <dominique@fournier38.fr>
 * @license BSD
 */

declare(strict_types=1);

namespace App\Service;

class PingStateOK implements PingStateInterface
{
    private string $ip = "";
    private int $seq = 0;
    private int $ttl = 0;
    private float $time = 0.0;
    private string $timeunit = "ms";
    private int $bytes = 0;
    private int $startTime = 0;
    private int $endTime = 0;

    /**
     * @param array<string, mixed> $matches
     */
    public function __construct($matches)
    {
        foreach (array_keys(get_class_vars(__CLASS__)) as $var) {
            if (key_exists($var, $matches)) {
                settype($matches[$var], gettype($this->$var));
                $this->$var = $matches[$var];
            }
        }
    }

    public function getIP(): string
    {
        return $this->ip;
    }

    public function getSeq(): int
    {
        return $this->seq;
    }

    public function getTTL(): int
    {
        return $this->ttl;
    }

    public function getTime(): float
    {
        return $this->time;
    }

    public function getTimeunit(): string
    {
        return $this->timeunit;
    }

    public function getBytes(): int
    {
        return $this->bytes;
    }

    public function getStartTime(): int
    {
        return $this->startTime;
    }

    public function setStartTime(int $val): self
    {
        $this->startTime = $val;

        return $this;
    }

    public function getEndTime(): int
    {
        return $this->endTime;
    }

    public function setEndTime(int $val): self
    {
        $this->endTime = $val;

        return $this;
    }

    public function __toString(): string
    {
        $res = "";
        foreach (array_keys(get_class_vars(__CLASS__)) as $var) {
            $res .= " $var => " . $this->$var;
        }
        return $res;
    }
}
